clear; close all; clc
set(0,'DefaultFigureWindowStyle','docked')
%% Linear estimation in one dimension

dt = 1;                 % timestep [sec]
T = 10;                 % duration [sec]
n = T/dt;               % number of steps
t = linspace(dt,T,n);   % time vector

% speed
v = 5;     % [m/s]







for k = 2:n

end

% RMS of the estimation error


figure
hold on; box on;

plot(x,'b')
plot(z,'go')
plot(xhat,'r')
xlabel('Time [sec]')
ylabel('Position [m]')
title(['RMSE = ',num2str(RMSE)])
yyaxis right
plot(x-xhat)
plot([dt,T],[RMSE,RMSE])
ylim([-3,3])
leg = {'True state','Measurement','Estimated state','Error','RMSE'};
legend(leg,'Location','NorthWest')